Index: issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/MyGLRenderer.java
===================================================================
--- issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/MyGLRenderer.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/MyGLRenderer.java	(revision 13975)
@@ -0,0 +1,176 @@
+/*
+ * Copyright (C) 2012 The Android Open Source Project
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+package com.example.issm;
+import java.nio.ByteBuffer;
+import java.nio.ByteOrder;
+import java.nio.FloatBuffer;
+
+import javax.microedition.khronos.egl.EGLConfig;
+import javax.microedition.khronos.opengles.GL10;
+
+import android.opengl.GLES20;
+import android.opengl.GLSurfaceView;
+
+public class MyGLRenderer implements GLSurfaceView.Renderer {
+
+    private Triangle mTriangle;
+
+    @Override
+    public void onSurfaceCreated(GL10 unused, EGLConfig config) {
+
+        // Set the background frame color
+        GLES20.glClearColor(1.0f, 1.0f, 1.0f, 1.0f);
+
+        mTriangle = new Triangle();
+    }
+
+    @Override
+    public void onDrawFrame(GL10 unused) {
+
+        // Draw background color
+        GLES20.glClear(GLES20.GL_COLOR_BUFFER_BIT);
+
+        // Draw triangle
+        mTriangle.draw();
+    }
+
+    @Override
+    public void onSurfaceChanged(GL10 unused, int width, int height) {
+        // Adjust the viewport based on geometry changes,
+        // such as screen rotation
+        GLES20.glViewport(0, 0, width, height);
+    }
+
+    public static int loadShader(int type, String shaderCode){
+
+        // create a vertex shader type (GLES20.GL_VERTEX_SHADER)
+        // or a fragment shader type (GLES20.GL_FRAGMENT_SHADER)
+        int shader = GLES20.glCreateShader(type);
+
+        // add the source code to the shader and compile it
+        GLES20.glShaderSource(shader, shaderCode);
+        GLES20.glCompileShader(shader);
+
+        return shader;
+    }
+
+}
+
+class Triangle 
+{
+
+    private final String vertexShaderCode =
+        "attribute vec4 vPosition;" +
+        "void main() {" +
+        "  gl_Position = vPosition;" +
+        "}";
+
+    private final String fragmentShaderCode =
+        "precision mediump float;" +
+        "uniform vec4 vColor;" +
+        "void main() {" +
+        "  gl_FragColor = vColor;" +
+        "}";
+
+    private final FloatBuffer vertexBuffer;
+    private final int mProgram;
+    private int mPositionHandle;
+    private int mColorHandle;
+
+    // number of coordinates per vertex in this array
+    static final int COORDS_PER_VERTEX = 3;
+    static float triangleCoords[] = { // in counterclockwise order:
+         0.0f,  0.6f, 0.0f,   // top
+        -0.5f, -0.3f, 0.0f,   // bottom left
+         0.5f, -0.3f, 0.0f,
+         -0.5f, -0.3f, 0.0f,
+         0.0f, -1.2f, 0.0f,
+         0.5f,  -0.3f, 0.0f
+         
+         
+         
+
+
+         // bottom right
+    };
+    private final int vertexCount = triangleCoords.length / COORDS_PER_VERTEX;
+    private final int vertexStride = COORDS_PER_VERTEX * 4; // bytes per vertex
+
+    // Set color with red, green, blue and alpha (opacity) values
+    float color[] = { 0.0f, 0.0f, 1.0f, 1.0f}; //blue
+    float color1[] = {1.0f, 0.0f, 0.0f, 1.0f};
+
+    public Triangle() {
+        // initialize vertex byte buffer for shape coordinates
+        ByteBuffer bb = ByteBuffer.allocateDirect(
+                // (number of coordinate values * 4 bytes per float)
+                triangleCoords.length * 4);
+        // use the device hardware's native byte order
+        bb.order(ByteOrder.nativeOrder());
+
+        // create a floating point buffer from the ByteBuffer
+        vertexBuffer = bb.asFloatBuffer();
+        // add the coordinates to the FloatBuffer
+        vertexBuffer.put(triangleCoords);
+        // set the buffer to read the first coordinate
+        vertexBuffer.position(0);
+
+        // prepare shaders and OpenGL program
+        int vertexShader = MyGLRenderer.loadShader(GLES20.GL_VERTEX_SHADER,
+                                                   vertexShaderCode);
+        int fragmentShader = MyGLRenderer.loadShader(GLES20.GL_FRAGMENT_SHADER,
+                                                     fragmentShaderCode);
+
+        mProgram = GLES20.glCreateProgram();             // create empty OpenGL Program
+        GLES20.glAttachShader(mProgram, vertexShader);   // add the vertex shader to program
+        GLES20.glAttachShader(mProgram, fragmentShader); // add the fragment shader to program
+        GLES20.glLinkProgram(mProgram);                  // create OpenGL program executables
+
+    }
+
+    public void draw() {
+        // Add program to OpenGL environment
+        GLES20.glUseProgram(mProgram);
+
+        // get handle to vertex shader's vPosition member
+        mPositionHandle = GLES20.glGetAttribLocation(mProgram, "vPosition");
+
+        // Enable a handle to the triangle vertices
+        GLES20.glEnableVertexAttribArray(mPositionHandle);
+
+        // Prepare the triangle coordinate data
+        GLES20.glVertexAttribPointer(mPositionHandle, COORDS_PER_VERTEX,
+                                     GLES20.GL_FLOAT, false,
+                                     vertexStride, vertexBuffer);
+
+        // get handle to fragment shader's vColor member
+        mColorHandle = GLES20.glGetUniformLocation(mProgram, "vColor");
+
+        // Set color for drawing the triangle
+        GLES20.glUniform4fv(mColorHandle, 0, color, 0);
+        // Draw the triangle
+        GLES20.glDrawArrays(GLES20.GL_TRIANGLES, 1, vertexCount);
+        
+        
+        GLES20.glUniform4fv(mColorHandle, 0, color1, 0);
+        GLES20.glDrawArrays(GLES20.GL_TRIANGLES, 0, vertexCount);
+        
+
+        // Disable vertex array
+        GLES20.glDisableVertexAttribArray(mPositionHandle);
+    }
+}
Index: issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/MyGLSurfaceView.java
===================================================================
--- issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/MyGLSurfaceView.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/MyGLSurfaceView.java	(revision 13975)
@@ -0,0 +1,21 @@
+package com.example.issm;
+
+import android.content.Context;
+import android.opengl.GLSurfaceView;
+
+
+class MyGLSurfaceView extends GLSurfaceView {
+
+    public MyGLSurfaceView(Context context) {
+        super(context);
+
+        // Create an OpenGL ES 2.0 context.
+        setEGLContextClientVersion(2);
+
+        // Set the Renderer for drawing on the GLSurfaceView
+        setRenderer(new MyGLRenderer());
+
+        // Render the view only when there is a change in the drawing data
+        setRenderMode(GLSurfaceView.RENDERMODE_WHEN_DIRTY);
+    }
+}
Index: issm/trunk/src/android/helloworld/My First App/.classpath
===================================================================
--- issm/trunk/src/android/helloworld/My First App/.classpath	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/.classpath	(revision 13975)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="gen"/>
+	<classpathentry kind="output" path="bin/classes"/>
+</classpath>
Index: issm/trunk/src/android/helloworld/My First App/.project
===================================================================
--- issm/trunk/src/android/helloworld/My First App/.project	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/.project	(revision 13975)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>My First App</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ResourceManagerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.PreCompilerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ApkBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>com.android.ide.eclipse.adt.AndroidNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>
Index: issm/trunk/src/android/helloworld/My First App/AndroidManifest.xml
===================================================================
--- issm/trunk/src/android/helloworld/My First App/AndroidManifest.xml	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/AndroidManifest.xml	(revision 13975)
@@ -0,0 +1,25 @@
+<manifest xmlns:android="http://schemas.android.com/apk/res/android"
+    package="com.example.my.first.app"
+    android:versionCode="1"
+    android:versionName="1.0" >
+
+    <uses-sdk
+        android:minSdkVersion="8"
+        android:targetSdkVersion="15" />
+
+    <application
+        android:icon="@drawable/ic_launcher"
+        android:label="@string/app_name"
+        android:theme="@style/AppTheme" >
+        <activity
+            android:name=".MainActivity"
+            android:label="@string/title_activity_main" >
+            <intent-filter>
+                <action android:name="android.intent.action.MAIN" />
+
+                <category android:name="android.intent.category.LAUNCHER" />
+            </intent-filter>
+        </activity>
+    </application>
+
+</manifest>
Index: issm/trunk/src/android/helloworld/My First App/bin/AndroidManifest.xml
===================================================================
--- issm/trunk/src/android/helloworld/My First App/bin/AndroidManifest.xml	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/bin/AndroidManifest.xml	(revision 13975)
@@ -0,0 +1,25 @@
+<manifest xmlns:android="http://schemas.android.com/apk/res/android"
+    package="com.example.my.first.app"
+    android:versionCode="1"
+    android:versionName="1.0" >
+
+    <uses-sdk
+        android:minSdkVersion="8"
+        android:targetSdkVersion="15" />
+
+    <application
+        android:icon="@drawable/ic_launcher"
+        android:label="@string/app_name"
+        android:theme="@style/AppTheme" >
+        <activity
+            android:name=".MainActivity"
+            android:label="@string/title_activity_main" >
+            <intent-filter>
+                <action android:name="android.intent.action.MAIN" />
+
+                <category android:name="android.intent.category.LAUNCHER" />
+            </intent-filter>
+        </activity>
+    </application>
+
+</manifest>
Index: issm/trunk/src/android/helloworld/My First App/proguard-project.txt
===================================================================
--- issm/trunk/src/android/helloworld/My First App/proguard-project.txt	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/proguard-project.txt	(revision 13975)
@@ -0,0 +1,20 @@
+# To enable ProGuard in your project, edit project.properties
+# to define the proguard.config property as described in that file.
+#
+# Add project specific ProGuard rules here.
+# By default, the flags in this file are appended to flags specified
+# in ${sdk.dir}/tools/proguard/proguard-android.txt
+# You can edit the include path and order by changing the ProGuard
+# include property in project.properties.
+#
+# For more details, see
+#   http://developer.android.com/guide/developing/tools/proguard.html
+
+# Add any project specific keep options here:
+
+# If your project uses WebView with JS, uncomment the following
+# and specify the fully qualified class name to the JavaScript interface
+# class:
+#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
+#   public *;
+#}
Index: issm/trunk/src/android/helloworld/My First App/res/layout/activity_main.xml
===================================================================
--- issm/trunk/src/android/helloworld/My First App/res/layout/activity_main.xml	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/res/layout/activity_main.xml	(revision 13975)
@@ -0,0 +1,62 @@
+<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
+    xmlns:tools="http://schemas.android.com/tools"
+    android:layout_width="match_parent"
+    android:layout_height="match_parent"
+    android:orientation="horizontal" >
+
+    <EditText
+        android:id="@+id/edit_message"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content"
+        android:layout_alignParentTop="true"
+        android:layout_centerHorizontal="true"
+        android:layout_marginTop="48dp"
+        android:ems="10"
+        android:hint="@string/edit_message" />
+
+    <Button
+        android:id="@+id/button1"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content"
+        android:layout_alignParentBottom="true"
+        android:layout_centerHorizontal="true"
+        android:layout_marginBottom="36dp"
+        android:text="@string/button_send" />
+
+    <SeekBar
+        android:id="@+id/seekBar1"
+        android:layout_width="match_parent"
+        android:layout_height="wrap_content"
+        android:layout_above="@+id/button1"
+        android:layout_alignParentLeft="true"
+        android:layout_marginBottom="50dp" />
+
+    <TextView
+        android:id="@+id/textViewProgress"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content"
+        android:layout_above="@+id/seekBar1"
+        android:layout_centerHorizontal="true"
+        android:layout_marginBottom="22dp"
+        android:text="progress displayed here"
+        android:textAppearance="?android:attr/textAppearanceLarge" />
+
+    <TextView
+        android:id="@+id/textViewAction"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content"
+        android:layout_above="@+id/textViewProgress"
+        android:layout_alignRight="@+id/textViewProgress"
+        android:layout_marginBottom="26dp"
+        android:text="action displayed here"
+        android:textAppearance="?android:attr/textAppearanceLarge" />
+
+<!--<com.example.my.first.app.MainActivity.CustomDrawableView
+   android:id="@+id/custom_drawable_view"
+   android:layout_width="fill_parent"     
+    android:layout_height="wrap_content" /> 
+-->
+
+    
+
+</RelativeLayout>
Index: issm/trunk/src/android/helloworld/My First App/res/menu/activity_main.xml
===================================================================
--- issm/trunk/src/android/helloworld/My First App/res/menu/activity_main.xml	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/res/menu/activity_main.xml	(revision 13975)
@@ -0,0 +1,6 @@
+<menu xmlns:android="http://schemas.android.com/apk/res/android">
+    <item android:id="@+id/menu_settings"
+        android:title="@string/menu_settings"
+        android:orderInCategory="100"
+        android:showAsAction="never" />
+</menu>
Index: issm/trunk/src/android/helloworld/My First App/res/values-v11/styles.xml
===================================================================
--- issm/trunk/src/android/helloworld/My First App/res/values-v11/styles.xml	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/res/values-v11/styles.xml	(revision 13975)
@@ -0,0 +1,5 @@
+<resources>
+
+    <style name="AppTheme" parent="android:Theme.Holo.Light" />
+
+</resources>
Index: issm/trunk/src/android/helloworld/My First App/res/values-v14/styles.xml
===================================================================
--- issm/trunk/src/android/helloworld/My First App/res/values-v14/styles.xml	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/res/values-v14/styles.xml	(revision 13975)
@@ -0,0 +1,5 @@
+<resources>
+
+    <style name="AppTheme" parent="android:Theme.Holo.Light.DarkActionBar" />
+
+</resources>
Index: issm/trunk/src/android/helloworld/My First App/res/values/strings.xml
===================================================================
--- issm/trunk/src/android/helloworld/My First App/res/values/strings.xml	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/res/values/strings.xml	(revision 13975)
@@ -0,0 +1,7 @@
+<resources>
+    <string name="app_name">My First App</string>
+    <string name="edit_message">Enter a message</string>
+    <string name="button_send">Send</string>
+    <string name="menu_settings">Settings</string>
+    <string name="title_activity_main">MainActivity</string>
+</resources>
Index: issm/trunk/src/android/helloworld/My First App/res/values/styles.xml
===================================================================
--- issm/trunk/src/android/helloworld/My First App/res/values/styles.xml	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/res/values/styles.xml	(revision 13975)
@@ -0,0 +1,5 @@
+<resources>
+
+    <style name="AppTheme" parent="android:Theme.Light" />
+
+</resources>
Index: issm/trunk/src/android/helloworld/My First App/src/com/example/my/first/app/MainActivity.java
===================================================================
--- issm/trunk/src/android/helloworld/My First App/src/com/example/my/first/app/MainActivity.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/My First App/src/com/example/my/first/app/MainActivity.java	(revision 13975)
@@ -0,0 +1,103 @@
+package com.example.my.first.app;
+
+import android.app.Activity;
+import android.content.Context;
+import android.os.Bundle;
+import android.util.AttributeSet;
+import android.view.Menu;
+import android.view.View;
+import android.widget.SeekBar;
+import android.widget.SeekBar.OnSeekBarChangeListener;
+import android.widget.TextView;
+import android.widget.Toast;
+import android.graphics.*;
+import android.graphics.drawable.ShapeDrawable;
+import android.graphics.drawable.shapes.RectShape;
+
+public class MainActivity extends Activity implements OnSeekBarChangeListener{
+    private SeekBar bar; 
+    private TextView textProgress,textAction;
+    //CustomDrawableView mCustomDrawableView;
+        
+    /*public class CustomDrawableView extends View {
+        private ShapeDrawable mDrawable;
+        
+        public CustomDrawableView(Context context, AttributeSet attrs) {
+            super(context, attrs);
+        
+
+
+        int x = 10;
+        int y = 10;
+        int width = 300;
+        int height = 50;
+
+        mDrawable = new ShapeDrawable(new RectShape());
+        mDrawable.getPaint().setColor(0xff74AC23);
+        mDrawable.setBounds(x, y, x + width, y + height);
+        }
+
+        protected void onDraw(Canvas canvas) {
+        mDrawable.draw(canvas);
+        }
+    }*/
+    
+    @Override
+    public void onCreate(Bundle savedInstanceState) { 
+        super.onCreate(savedInstanceState);
+        setContentView(R.layout.activity_main);
+
+        Toast.makeText(MainActivity.this,"You clicked me!", Toast.LENGTH_LONG).show();
+        bar = (SeekBar)findViewById(R.id.seekBar1); // make seekbar object
+        bar.setOnSeekBarChangeListener(this); // set seekbar listener.
+        // since we are using this class as the listener the class is "this"
+
+        // make text label for progress value
+        textProgress = (TextView)findViewById(R.id.textViewProgress);
+        // make text label for action
+        textAction = (TextView)findViewById(R.id.textViewAction);
+
+        //Bitmap b = Bitmap.createBitmap(100, 100, Bitmap.Config.ARGB_8888);
+        //Canvas c = new Canvas(b);
+        //mCustomDrawableView = (CustomDrawableView) findViewById(R.id.custom_drawable_view);
+        
+    }
+ 
+
+    @Override
+    public void onProgressChanged(SeekBar seekBar, int progress,
+    		boolean fromUser) 
+    {
+    	// change progress text label with current seekbar value
+    	textProgress.setText("The value is: "+progress);
+    	// change action text label to changing
+    	textAction.setText("changing");
+    	//drawPoints()
+    }
+    @Override
+    public void onStartTrackingTouch(SeekBar seekBar) {
+    	// TODO Auto-generated method stub
+    	textAction.setText("starting to track touch");
+
+    }
+    @Override
+    public void onStopTrackingTouch(SeekBar seekBar) {
+    	// TODO Auto-generated method stub
+    	seekBar.setSecondaryProgress(seekBar.getProgress()); // set the shade of the previous value.
+    	textAction.setText("ended tracking touch");
+    }
+    @Override
+    public boolean onCreateOptionsMenu(Menu menu) {
+        getMenuInflater().inflate(R.menu.activity_main, menu);
+        return true;
+    }
+    
+
+
+
+
+}
+
+    
+
+
Index: issm/trunk/src/android/helloworld/OpenGLES20/.classpath
===================================================================
--- issm/trunk/src/android/helloworld/OpenGLES20/.classpath	(revision 13975)
+++ issm/trunk/src/android/helloworld/OpenGLES20/.classpath	(revision 13975)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="gen"/>
+	<classpathentry kind="output" path="bin/classes"/>
+</classpath>
Index: issm/trunk/src/android/helloworld/OpenGLES20/.project
===================================================================
--- issm/trunk/src/android/helloworld/OpenGLES20/.project	(revision 13975)
+++ issm/trunk/src/android/helloworld/OpenGLES20/.project	(revision 13975)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>OpenGLES20</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ResourceManagerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.PreCompilerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ApkBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>com.android.ide.eclipse.adt.AndroidNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>
Index: issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/MainActivity.java
===================================================================
--- issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/MainActivity.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/MainActivity.java	(revision 13975)
@@ -0,0 +1,57 @@
+package com.example.opengles20;
+
+
+import android.app.Activity;
+import android.content.Context;
+import android.opengl.GLSurfaceView;
+import android.os.Bundle;
+
+public class MainActivity extends Activity {
+
+    private GLSurfaceView mGLView;
+
+    @Override
+    public void onCreate(Bundle savedInstanceState) {
+        super.onCreate(savedInstanceState);
+
+        // Create a GLSurfaceView instance and set it
+        // as the ContentView for this Activity.
+        mGLView = new MyGLSurfaceView(this);
+        setContentView(mGLView);
+    }
+    @Override
+    protected void onPause() {
+        super.onPause();
+        // The following call pauses the rendering thread.
+        // If your OpenGL application is memory intensive,
+        // you should consider de-allocating objects that
+        // consume significant memory here.
+        mGLView.onPause();
+    }
+    
+    @Override
+    protected void onResume() {
+        super.onResume();
+        // The following call resumes a paused rendering thread.
+        // If you de-allocated graphic objects for onPause()
+        // this is a good place to re-allocate them.
+        mGLView.onResume();
+    }
+}
+  
+class MyGLSurfaceView extends GLSurfaceView {
+
+	 public MyGLSurfaceView(Context context) {
+	        super(context);
+
+	        // Create an OpenGL ES 2.0 context.
+	        setEGLContextClientVersion(2);
+
+	        // Set the Renderer for drawing on the GLSurfaceView
+	        setRenderer(new MyGL20Renderer());
+
+	        // Render the view only when there is a change in the drawing data
+	        setRenderMode(GLSurfaceView.RENDERMODE_WHEN_DIRTY);
+	    }
+    
+}
Index: issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/MyGL20Renderer.java
===================================================================
--- issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/MyGL20Renderer.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/MyGL20Renderer.java	(revision 13975)
@@ -0,0 +1,46 @@
+package com.example.opengles20;
+
+
+
+import javax.microedition.khronos.egl.EGLConfig;
+import javax.microedition.khronos.opengles.GL10;
+
+import android.opengl.GLES20;
+import android.opengl.GLSurfaceView;
+
+	public class MyGL20Renderer implements GLSurfaceView.Renderer {
+	private	Triangle mTriangle;
+	//private Square mSquare;
+
+	public void onSurfaceCreated(GL10 unused, EGLConfig config) {
+	        //Set the background frame color
+	        GLES20.glClearColor(0.5f, 0.5f, 0.5f, 1.0f);
+	        mTriangle = new Triangle();
+	        //mSquare = new Square();
+	    }
+
+	    public void onDrawFrame(GL10 unused) {
+	        // Redraw background color
+	        GLES20.glClear(GLES20.GL_COLOR_BUFFER_BIT);
+	        mTriangle.draw1();
+	        //mSquare.draw2();
+	    }
+
+	    public void onSurfaceChanged(GL10 unused, int width, int height) {
+	        GLES20.glViewport(0, 0, width, height);
+	    }
+	    
+		public static int loadShader(int type, String shaderCode){
+
+		    // create a vertex shader type (GLES20.GL_VERTEX_SHADER)
+		    // or a fragment shader type (GLES20.GL_FRAGMENT_SHADER)
+		    int shader = GLES20.glCreateShader(type);
+
+		    // add the source code to the shader and compile it
+		    GLES20.glShaderSource(shader, shaderCode);
+		    GLES20.glCompileShader(shader);
+
+		    return shader;
+		}
+	}
+	
Index: issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/Square.java
===================================================================
--- issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/Square.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/OpenGLES20/src/com/example/opengles20/Square.java	(revision 13975)
@@ -0,0 +1,76 @@
+package com.example.opengles20;
+
+import java.nio.ByteBuffer;
+import java.nio.ByteOrder;
+import java.nio.FloatBuffer;
+import java.nio.ShortBuffer;
+
+import android.opengl.GLES20;
+
+class Square {
+
+    private FloatBuffer vertexBuffer;
+    private ShortBuffer drawListBuffer;
+
+    // number of coordinates per vertex in this array
+    static final int COORDS_PER_VERTEX = 3;
+    static float squareCoords[] = { -0.5f,  0.5f, 0.0f,   // top left
+                                    -0.5f, -0.5f, 0.0f,   // bottom left
+                                     0.5f, -0.5f, 0.0f,   // bottom right
+                                     0.5f,  0.5f, 0.0f }; // top right
+    // Set color with red, green, blue and alpha (opacity) values
+    float color[] = { 0.63671875f, 0.76953125f, 0.22265625f, 1.0f };
+    private short drawOrder[] = { 0, 1, 2, 0, 2, 3 }; // order to draw vertices
+    private int mProgram; 
+    private int mPositionHandle;
+    private int mColorHandle;
+    private final int vertexCount = squareCoords.length / COORDS_PER_VERTEX;
+    private final int vertexStride = COORDS_PER_VERTEX * 4; // bytes per vertex
+
+    public Square() {
+        // initialize vertex byte buffer for shape coordinates
+        ByteBuffer bb = ByteBuffer.allocateDirect(
+        // (# of coordinate values * 4 bytes per float)
+                squareCoords.length * 4);
+        bb.order(ByteOrder.nativeOrder());
+        vertexBuffer = bb.asFloatBuffer();
+        vertexBuffer.put(squareCoords);
+        vertexBuffer.position(0);
+
+        // initialize byte buffer for the draw list
+        ByteBuffer dlb = ByteBuffer.allocateDirect(
+        // (# of coordinate values * 2 bytes per short)
+                drawOrder.length * 2);
+        dlb.order(ByteOrder.nativeOrder());
+        drawListBuffer = dlb.asShortBuffer();
+        drawListBuffer.put(drawOrder);
+        drawListBuffer.position(0);
+    }
+    public void draw2() {
+        // Add program to OpenGL ES environment
+        GLES20.glUseProgram(mProgram);
+
+        // get handle to vertex shader's vPosition member
+        mPositionHandle = GLES20.glGetAttribLocation(mProgram, "vPosition");
+
+        // Enable a handle to the triangle vertices
+        GLES20.glEnableVertexAttribArray(mPositionHandle);
+
+        // Prepare the triangle coordinate data
+        GLES20.glVertexAttribPointer(mPositionHandle, COORDS_PER_VERTEX,
+                                     GLES20.GL_FLOAT, false,
+                                     vertexStride, vertexBuffer);
+
+        // get handle to fragment shader's vColor member
+        mColorHandle = GLES20.glGetUniformLocation(mProgram, "vColor");
+
+        // Set color for drawing the triangle
+        GLES20.glUniform4fv(mColorHandle, 1, color, 0);
+
+        // Draw the triangle
+        GLES20.glDrawArrays(GLES20.GL_TRIANGLES, 0, vertexCount);
+
+        // Disable vertex array
+        GLES20.glDisableVertexAttribArray(mPositionHandle);
+    }
+}
